Toggle menu
Toggle preferences menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

MediaWiki:Common.css: Difference between revisions

MediaWiki interface page
m 1 revision imported
No edit summary
 
Line 52: Line 52:
     --tg-color-subtle: #4e5a42;
     --tg-color-subtle: #4e5a42;
     --tg-color-inverted-progressive: #fff;
     --tg-color-inverted-progressive: #fff;
     --tg-color-link: #36c;
     --tg-color-link: #507b07;
     /* Background color */
     /* Background color */
     --tg-color-surface-0: #f9f4ee;
     --tg-color-surface-0: #f9f4ee;

Latest revision as of 04:34, 31 March 2026

@import url( 'https://fonts.googleapis.com/css?family=The+Nautigal ');
@import url( 'https://fonts.googleapis.com/css?family=IM+Fell+DW+Pica ');

/* <pre><nowiki> */

/* Tolkien Gateway theme */

/* Import fonts from Google Fonts: EB Garamond, Lora */
@import url("https://fonts.googleapis.com/css2?family=EB+Garamond:ital,wght@0,400..800;1,400..800&family=Lora:ital,wght@0,400..700;1,400..700&display=swap");

/*
 * Use customized system fonts as fallback for font stack
 * Needed to avoid layout shift
 */
@font-face {
    font-family: "EB Garamond-fallback";
    size-adjust: 94.29999999999998%;
    ascent-override: 101%;
    descent-override: 36.40000000000171%;
    src: local("Times New Roman");
}

@font-face {
    font-family: "Lora-fallback";
    size-adjust: 105.20000000000005%;
    ascent-override: 92%;
    descent-override: 32.60000000000166%;
    src: local("Georgia");
}

/* CSS variables */
:root {
    /* Border */
    /* Border color */
    --tg-border-color-base: rgba(0, 0, 0, 0.08);
    --tg-border-color-subtle: rgba(0, 0, 0, 0.05);
    --tg-border-color-interactive: rgba(0, 0, 0, 0.11);
    /* Border radius */
    --tg-border-radius-sharp: 0;
    --tg-border-radius-small: 4px;
    --tg-border-radius-medium: 8px;
    --tg-border-radius-large: 12px;
    --tg-border-radius-pill: 9999px;
    --tg-border-radius-circle: 50%;
    /* Shorthand */
    --tg-border-base: 1px solid var(--tg-border-color-base);

    /* Color */
    /* Text color */
    --tg-color-emphasized: #1a1f15;
    --tg-color-base: #2a3025;
    --tg-color-subtle: #4e5a42;
    --tg-color-inverted-progressive: #fff;
    --tg-color-link: #507b07;
    /* Background color */
    --tg-color-surface-0: #f9f4ee;
    --tg-color-surface-1: #fffbf6;
    --tg-color-surface-2: #f6ede0;
    --tg-color-surface-3: #f0e3cf;
    --tg-color-surface-4: #e6d9c5;
    --tg-color-surface-5: #e3d2b8;
    /* Progressive color */
    --tg-color-progressive: #507b07;
    --tg-color-progressive--hover: #588418;
    --tg-color-progressive--active: #4a710a;

    /* Font */
    /* Font family */
    --tg-font-family-heading: "EB Garamond", "EB Garamond-fallback", serif;
    --tg-font-family-body: "Lora", "Lora-fallback", serif;
    /* Font size */
    --tg-font-size-x-small: 0.8125rem;
    --tg-font-size-small: 0.875rem;
    --tg-font-size-medium: 1rem;
    --tg-font-size-large: 1.125rem;
    --tg-font-size-x-large: 1.25rem;
    --tg-font-size-xx-large: 1.5rem;
    --tg-font-size-xxx-large: 2rem;
    /* Font weight */
    --tg-font-weight-regular: 400;
    --tg-font-weight-medium: 500;
    --tg-font-weight-semibold: 600;
    /* Line height */
    --tg-line-height-xxx-small: 1.25;
    --tg-line-height-xx-small: 1.375;
    --tg-line-height: 1.6;

    /* Opacity */
    --tg-opacity-pattern: 0.08;
    
    /* Codex token backport */
    /* Quiet color */
    --background-color-button-quiet--hover: rgba(0, 0, 0, 0.07);
    --background-color-button-quiet--active: rgba(0, 0, 0, 0.09);
}

html {
    /* Force serif fonts to format number on the same line */
    font-variant-numeric: lining-nums;
}

/* Blockquote */
blockquote {
    padding-left: 1rem;
    border-left: 2px solid var(--tg-border-color-base);
    font-style: italic;
    /* Fallback for non-Chromium browsers */
    text-wrap: balance;
    /* Only works on Chromium browsers */
    text-wrap: pretty;
}

blockquote cite {
    color: var(--tg-color-subtle);
    font-size: var(--tg-font-size-x-small);
    font-style: normal;
}

blockquote cite::before {
    content: "―";
    margin-right: 0.5em;
}

blockquote > p:first-child::before {
    content: open-quote;
}

blockquote.booktext { 
    padding-left: 1rem;
    border-left: 2px solid var(--tg-border-color-base);
	font-family: "IM Fell DW Pica", serif;
	font-size: 115%;
    /* Fallback for non-Chromium browsers */
    text-wrap: balance;
    /* Only works on Chromium browsers */
    text-wrap: pretty;
}


/* <cite> is wrapped in the last <p> */
blockquote:has(cite) > p:nth-last-child(2)::after,
blockquote:not(:has(cite)) > p:last-child::after {
    content: close-quote;
}

/* LINKS */
a {
    /*color: var(--tg-color-link);*/
}

.underlinelink a {
    text-decoration: underline !important;
}
.nounderlinelink a {
    text-decoration: none !important;
}
.nounderlinelink a:hover {
    text-decoration: underline !important;
}

/* SEQUENCE TEMPLATE */

td.seqwhite a {
    color: #ffffff !important;
}
td.seqwhite div span a {
    color: #ffffff !important;
}
td.seqcream a {
    color: #fffdd0 !important;
}
td.seqcream div span a {
    color: #fffdd0 !important;
}
td.seqgrey a {
    color: #2a2a2a !important;
}
td.seqgrey div span a {
    color: #2a2a2a !important;
}

/* REFERENCES TEMPLATE */
ol.references {
    font-size: var(--tg-font-size-x-small);
    margin-top: 0px;
    padding-top: 0px;
}
.references-small {
    font-size: 0.75rem;
}
ol.references > li:target {
    background-color: #ddeeff;
}
sup.reference:target {
    background-color: #ddeeff;
}

/* Infobox customizations so they scale for desktop and mobile appropriately */
@media only screen and (max-width: 600px) {
    .tginfobox {
        min-width: 100%;
    }
}

@media only screen and (min-width: 601px) {
    .tginfobox {
        width: 275px;
    }
}

@media screen and (max-width: 600px) {
    .spotify {
        float: center;
        margin-left: 10px;
    }
}

.pi-type-film .pi-secondary-background {
    background: rgb(238, 249, 238);
    background: linear-gradient(
        90deg,
        rgba(238, 249, 238, 1) 0%,
        rgba(171, 194, 171, 1) 35%,
        rgba(114, 139, 114, 1) 100%
    );
}

.pi-data {
    display: flex;
    align-items: center;
}

.spotify {
    float: right;
    width: 300px;
    height: 100px;
}

@media screen and (max-width: 850px) {
    #p-logo-text {
        /* Tighten the logo a bit more to the left on mobile devices to prevent overlapping */
        left: 3em;
    }
}

/* Print styles */
@media print {
    :root {
        /* Border */
        /* Border color */
        --tg-border-color-base: #aaa !important;
        --tg-border-color-subtle: #ddd !important;
        --tg-border-color-interactive: #000 !important;
        /* Color */
        /* Text color */
        --tg-color-emphasized: #000 !important;
        --tg-color-base: #222 !important;
        --tg-color-subtle: #444 !important;
        /* Background color */
        --tg-color-surface-0: #fff !important;
        --tg-color-surface-1: #fff !important;
        --tg-color-surface-2: #fff !important;
        --tg-color-surface-3: #fff !important;
        --tg-color-surface-4: #fff !important;
        --tg-color-surface-5: #fff !important;
        /* Progressive color */
        --tg-color-progressive: #000 !important;
    }
}

/* </nowiki></pre> */

/* Default style for navigation boxes */
.navbox {                     /* Navbox container style */
	box-sizing: border-box;
	border: 1px solid #a2a9b1;
	width: 100%;
	clear: both;
	font-size: 88%;
	text-align: center;
	padding: 1px;
	margin: 1em auto 0;       /* Prevent preceding content from clinging to navboxes */
}

.navbox .navbox {
	margin-top: 0;            /* No top margin for nested navboxes */
}

.navbox + .navbox {
	margin-top: -1px;         /* Single pixel border between adjacent navboxes */
}

.navbox-inner,
.navbox-subgroup {
	width: 100%;
}

.navbox-group,
.navbox-title,
.navbox-abovebelow {
	padding: 0.25em 1em;      /* Title, group and above/below styles */
	line-height: 1.5em;
	text-align: center;
}

th.navbox-group {             /* Group style */
	white-space: nowrap;
	/* @noflip */
	text-align: right;
}

.navbox,
.navbox-subgroup {
	background-color: #fdfdfd; /* Background color */
}

.navbox-list {
	line-height: 1.5em;
	border-color: #fdfdfd;    /* Must match background color */
}

/* cell spacing for navbox cells */
tr + tr > .navbox-abovebelow,
tr + tr > .navbox-group,
tr + tr > .navbox-image,
tr + tr > .navbox-list {    /* Borders above 2nd, 3rd, etc. rows */
	border-top: 2px solid #fdfdfd; /* Must match background color */
}

.navbox th,
.navbox-title {
	background: var(--tg-color-surface-5);      /* Level 1 color */
}

.navbox-abovebelow,
th.navbox-group,
.navbox-subgroup .navbox-title {
	background-color: #ddddff;      /* Level 2 color */
}

.navbox-subgroup .navbox-group,
.navbox-subgroup .navbox-abovebelow {
	background-color: #e6e6ff;      /* Level 3 color */
}

.navbox-even {
	background: var(--tg-color-surface-2);      /* Even row striping */
}

.navbox-odd {
	background-color: transparent;  /* Odd row striping */
}

.navbox .hlist td dl,
.navbox .hlist td ol,
.navbox .hlist td ul,
.navbox td.hlist dl,
.navbox td.hlist ol,
.navbox td.hlist ul {
	padding: 0.125em 0;       /* Adjust hlist padding in navboxes */
}

/* Styling for JQuery makeCollapsible, matching that of collapseButton */
.mw-parser-output .mw-collapsible-toggle {
	font-weight: normal;
	/* @noflip */
	text-align: right;
	padding-right: 0.2em;
	padding-left: 0.2em;
}

.mw-collapsible-leftside-toggle .mw-collapsible-toggle {
	/* @noflip */
	float: left;
	/* @noflip */
	text-align: left;
}
/* Normal font styling for wikitable row headers with scope="row" tag */
.wikitable.plainrowheaders th[scope=row] {
	font-weight: normal;
	/* @noflip */
	text-align: left;
}

/* Lists in wikitable data cells are always left-aligned */
.wikitable td ul,
.wikitable td ol,
.wikitable td dl {
	/* @noflip */
	text-align: left;
}

/* ...unless they also use the hlist class */
.toc.hlist ul,
#toc.hlist ul,
.wikitable.hlist td ul,
.wikitable.hlist td ol,
.wikitable.hlist td dl {
	text-align: inherit;
}

/* Change the external link icon to an Adobe icon for all PDF files */
.mw-parser-output a[href$=".pdf"].external,
.mw-parser-output a[href*=".pdf?"].external,
.mw-parser-output a[href*=".pdf#"].external,
.mw-parser-output a[href$=".PDF"].external,
.mw-parser-output a[href*=".PDF?"].external,
.mw-parser-output a[href*=".PDF#"].external {
	background: url("//upload.wikimedia.org/wikipedia/commons/2/23/Icons-mini-file_acrobat.gif") no-repeat right;
	/* @noflip */
	padding-right: 18px;
}

/* Messagebox templates */
.messagebox {
	border: 1px solid #a2a9b1;
	background-color: #f8f9fa;
	width: 80%;
	margin: 0 auto 1em auto;
	padding: .2em;
}

.messagebox.merge {
	border: 1px solid #c0b8cc;
	background-color: #f0e5ff;
	text-align: center;
}

.messagebox.cleanup {
	border: 1px solid #9f9fff;
	background-color: #efefff;
	text-align: center;
}

.messagebox.standard-talk {
	border: 1px solid #c0c090;
	background-color: #f8eaba;
	margin: 4px auto;
}

/* Cell sizes for ambox/tmbox/imbox/cmbox/ombox/fmbox/dmbox message boxes */
th.mbox-text, td.mbox-text {   /* The message body cell(s) */
	border: none;
	/* @noflip */
	padding: 0.25em 0.9em;     /* 0.9em left/right */
	width: 100%;               /* Make all mboxes the same width regardless of text length */
}

td.mbox-image {                /* The left image cell */
	border: none;
	/* @noflip */
	padding: 2px 0 2px 0.9em;  /* 0.9em left, 0px right */
	text-align: center;
}

td.mbox-imageright {           /* The right image cell */
	border: none;
	/* @noflip */
	padding: 2px 0.9em 2px 0;  /* 0px left, 0.9em right */
	text-align: center;
}

td.mbox-empty-cell {           /* An empty narrow cell */
	border: none;
	padding: 0;
	width: 1px;
}

/* Article message box styles */
table.ambox {
	margin: 0 10%;                  /* 10% = Will not overlap with other elements */
	border: 1px solid #a2a9b1;
	/* @noflip */
	border-left: 10px solid #36c;  /* Default "notice" blue */
	background-color: #fbfbfb;
	box-sizing: border-box;
}

table.ambox + table.ambox {      /* Single border between stacked boxes. */
	margin-top: -1px;
}

.ambox th.mbox-text,
.ambox td.mbox-text {            /* The message body cell(s) */
	padding: 0.25em 0.5em;       /* 0.5em left/right */
}

.ambox td.mbox-image {           /* The left image cell */
	/* @noflip */
	padding: 2px 0 2px 0.5em;    /* 0.5em left, 0px right */
}

.ambox td.mbox-imageright {      /* The right image cell */
	/* @noflip */
	padding: 2px 0.5em 2px 0;    /* 0px left, 0.5em right */
}

table.ambox-notice {
	/* @noflip */
	border-left: 10px solid #36c;       /* Blue */
}

table.ambox-speedy {
	/* @noflip */
	border-left: 10px solid #b32424;    /* Red */
	background-color: #fee7e6;          /* Pink */
}

table.ambox-delete {
	/* @noflip */
	border-left: 10px solid #b32424;    /* Red */
}

table.ambox-content {
	/* @noflip */
	border-left: 10px solid #f28500;    /* Orange */
}

table.ambox-style {
	/* @noflip */
	border-left: 10px solid #fc3;       /* Yellow */
}

table.ambox-move {
	/* @noflip */
	border-left: 10px solid #9932cc;    /* Purple */
}

table.ambox-protection {
	/* @noflip */
	border-left: 10px solid #a2a9b1;    /* Gray-gold */
}

/* Image message box styles */
table.imbox {
	margin: 4px 10%;
	border-collapse: collapse;
	border: 3px solid #36c;    /* Default "notice" blue */
	background-color: #fbfbfb;
	box-sizing: border-box;
}

.imbox .mbox-text .imbox {  /* For imboxes inside imbox-text cells. */
	margin: 0 -0.5em;       /* 0.9 - 0.5 = 0.4em left/right.        */
	display: block;         /* Fix for webkit to force 100% width.  */
}

.mbox-inside .imbox {       /* For imboxes inside other templates.  */
	margin: 4px;
}

table.imbox-notice {
	border: 3px solid #36c;       /* Blue */
}

table.imbox-speedy {
	border: 3px solid #b32424;    /* Red */
	background-color: #fee7e6;    /* Pink */
}

table.imbox-delete {
	border: 3px solid #b32424;    /* Red */
}

table.imbox-content {
	border: 3px solid #f28500;    /* Orange */
}

table.imbox-style {
	border: 3px solid #fc3;       /* Yellow */
}

table.imbox-move {
	border: 3px solid #9932cc;    /* Purple */
}

table.imbox-protection {
	border: 3px solid #a2a9b1;    /* Gray-gold */
}

table.imbox-license {
	border: 3px solid #88a;       /* Dark gray */
	background-color: #f7f8ff;    /* Light gray */
}

table.imbox-featured {
	border: 3px solid #cba135;    /* Brown-gold */
}

/* Category message box styles */
table.cmbox {
	margin: 3px 10%;
	border-collapse: collapse;
	border: 1px solid #a2a9b1;
	background-color: #dfe8ff;    /* Default "notice" blue */
	box-sizing: border-box;
}

table.cmbox-notice {
	background-color: #d8e8ff;    /* Blue */
}

table.cmbox-speedy {
	margin-top: 4px;
	margin-bottom: 4px;
	border: 4px solid #b32424;    /* Red */
	background-color: #ffdbdb;    /* Pink */
}

table.cmbox-delete {
	background-color: #ffdbdb;    /* Pink */
}

table.cmbox-content {
	background-color: #ffe7ce;    /* Orange */
}

table.cmbox-style {
	background-color: #fff9db;    /* Yellow */
}

table.cmbox-move {
	background-color: #e4d8ff;    /* Purple */
}

table.cmbox-protection {
	background-color: #efefe1;    /* Gray-gold */
}

/* Other pages message box styles */
table.ombox {
	margin: 4px 10%;
	border-collapse: collapse;
	border: 1px solid #a2a9b1;    /* Default "notice" gray */
	background-color: #f8f9fa;
	box-sizing: border-box;
}

table.ombox-notice {
	border: 1px solid #a2a9b1;    /* Gray */
}

table.ombox-speedy {
	border: 2px solid #b32424;    /* Red */
	background-color: #fee7e6;    /* Pink */
}

table.ombox-delete {
	border: 2px solid #b32424;    /* Red */
}

table.ombox-content {
	border: 1px solid #f28500;    /* Orange */
}

table.ombox-style {
	border: 1px solid #fc3;       /* Yellow */
}

table.ombox-move {
	border: 1px solid #9932cc;    /* Purple */
}

table.ombox-protection {
	border: 2px solid #a2a9b1;    /* Gray-gold */
}

/* Talk page message box styles */
table.tmbox {
	margin: 4px 10%;
	border-collapse: collapse;
	border: 1px solid #c0c090;    /* Default "notice" gray-brown */
	background-color: #f8eaba;
	min-width: 80%;
	box-sizing: border-box;
}

.tmbox.mbox-small {
	min-width: 0;                /* reset the min-width of tmbox above        */
}

.mediawiki .mbox-inside .tmbox { /* For tmboxes inside other templates. The "mediawiki" class ensures that */
	margin: 2px 0;               /* this declaration overrides other styles (including mbox-small above)   */
	width: 100%;                 /* For Safari and Opera */
}

.mbox-inside .tmbox.mbox-small { /* "small" tmboxes should not be small when  */
	line-height: 1.5em;          /* also "nested", so reset styles that are   */
	font-size: 100%;             /* set in "mbox-small" above.                */
}

table.tmbox-speedy {
	border: 2px solid #b32424;    /* Red */
	background-color: #fee7e6;    /* Pink */
}

table.tmbox-delete {
	border: 2px solid #b32424;    /* Red */
}

table.tmbox-content {
	border: 2px solid #f28500;    /* Orange */
}

table.tmbox-style {
	border: 2px solid #fc3;       /* Yellow */
}

table.tmbox-move {
	border: 2px solid #9932cc;    /* Purple */
}

table.tmbox-protection,
table.tmbox-notice {
	border: 1px solid #c0c090;    /* Gray-brown */
}

/* Footer and header message box styles */
table.fmbox {
	clear: both;
	margin: 0.2em 0;
	width: 100%;
	border: 1px solid #a2a9b1;
	background-color: #f8f9fa;     /* Default "system" gray */
	box-sizing: border-box;
}

table.fmbox-system {
	background-color: #f8f9fa;
}

table.fmbox-warning {
	border: 1px solid #bb7070;  /* Dark pink */
	background-color: #ffdbdb;  /* Pink */
}

table.fmbox-editnotice {
	background-color: transparent;
}

/* Div based "warning" style fmbox messages. */
div.mw-warning-with-logexcerpt,
div.mw-lag-warn-high,
div.mw-cascadeprotectedwarning,
div#mw-protect-cascadeon,
div.titleblacklist-warning,
div.locked-warning {
	clear: both;
	margin: 0.2em 0;
	border: 1px solid #bb7070;
	background-color: #ffdbdb;
	padding: 0.25em 0.9em;
	box-sizing: border-box;
}

/* Use default color for partial block fmbox banner per [[Special:PermaLink/1028105567#pblock-style]] */
.mw-contributions-blocked-notice-partial .mw-warning-with-logexcerpt {border-color:#fc3;background-color:#fef6e7;}

/* These mbox-small classes must be placed after all other
   ambox/tmbox/ombox etc classes. "html body.mediawiki" is so
   they override "table.ambox + table.ambox" above. */
html body.mediawiki .mbox-small {   /* For the "small=yes" option. */
	/* @noflip */
	clear: right;
	/* @noflip */
	float: right;
	/* @noflip */
	margin: 4px 0 4px 1em;
	box-sizing: border-box;
	width: 238px;
	font-size: 88%;
	line-height: 1.25em;
}

html body.mediawiki .mbox-small-left {   /* For the "small=left" option. */
	/* @noflip */
	margin: 4px 1em 4px 0;
	box-sizing: border-box;
	overflow: hidden;
	width: 238px;
	border-collapse: collapse;
	font-size: 88%;
	line-height: 1.25em;
}

/* Style for compact ambox */
/* Hide the images */
.compact-ambox table .mbox-image,
.compact-ambox table .mbox-imageright,
.compact-ambox table .mbox-empty-cell {
	display: none;
}

/* Remove borders, backgrounds, padding, etc. */
.compact-ambox table.ambox {
	border: none;
	border-collapse: collapse;
	background-color: transparent;
	margin: 0 0 0 1.6em !important;
	padding: 0 !important;
	width: auto;
	display: block;
}

body.mediawiki .compact-ambox table.mbox-small-left {
	font-size: 100%;
	width: auto;
	margin: 0;
}

/* Style the text cell as a list item and remove its padding */
.compact-ambox table .mbox-text {
	padding: 0 !important;
	margin: 0 !important;
}

.compact-ambox table .mbox-text-span {
	display: list-item;
	line-height: 1.5em;
	list-style-type: square;
	list-style-image: url(/w/skins/MonoBook/resources/images/bullet.svg);
}

/* Allow for hiding text in compact form */
.compact-ambox .hide-when-compact {
	display: none;
}

/* Remove underlines from certain links */
.nounderlines a,
.IPA a:link,
.IPA a:visited {
	text-decoration: none !important;
}

/* [[Wikipedia:NavFrame]].
   Entirely deprecated. Slated for removal.
   Use mw-collapsible. */
div.NavFrame {
	padding: 4px;
	border: 1px solid #a2a9b1;
	text-align: center;
	font-size: 95%;
}

div.NavFrame + div.NavFrame {
	border-top-style: none;
	border-top-style: hidden;
}

div.NavFrame div.NavHead {
	line-height: 1.6em;
	font-weight: bold;
	background-color: #ccf;
	position: relative;
}

div.NavFrame p,
div.NavFrame div.NavContent,
div.NavFrame div.NavContent p {
	font-size: 100%;
}

a.NavToggle {
	position: absolute;
	top: 0;
	/* @noflip */
	right: 3px;
	font-weight: normal;
	font-size: 90%;
}

/* Prevent line breaks in silly places where desired (nowrap)
   and links when we don't want them to (nowraplinks a) */
.nowrap,
.nowraplinks a {
	white-space: nowrap;
}

/* But allow wrapping where desired: */
.wrap,
.wraplinks a {
	white-space: normal;
}

/* Increase the height of the image upload box */
#wpUploadDescription {
	height: 13em;
}

/* Minimum thumb width */
.thumbinner {
	min-width: 100px;
}

/* Prevent floating boxes from overlapping any category listings,
   file histories, edit previews, and edit [Show changes] views. */
#mw-subcategories,
#mw-pages,
#mw-category-media,
#filehistory,
#wikiPreview,
#wikiDiff {
	clear: both;
}

/* Selectively hide headers in WikiProject banners */
/* TemplateStyles */
.wpb .wpb-header {
	display: none;
}

.wpbs-inner .wpb .wpb-header {
	display: table-row;
}

.wpbs-inner .wpb-outside {
	display: none;             /* hide things that should only display outside shells */
}

/* Styling for Abuse Filter tags */
.mw-tag-markers {
	font-style: italic;
	font-size: 90%;
}

/* Hide stuff meant for accounts with special permissions. Made visible again in
   [[MediaWiki:Group-checkuser.css]], [[MediaWiki:Group-sysop.css]], [[MediaWiki:Group-patroller.css]],
   [[MediaWiki:Group-templateeditor.css]], [[MediaWiki:Group-extendedmover.css]],
   [[MediaWiki:Group-extendedconfirmed.css]], and [[Mediawiki:Group-autoconfirmed.css]]. */
.checkuser-show,
.sysop-show,
.patroller-show,
.templateeditor-show,
.extendedmover-show,
.extendedconfirmed-show,
.autoconfirmed-show,
.user-show {
	display: none;
}

/* Hide the redlink generated by {{Editnotice}},
   this overrides the ".sysop-show { display: none; }" above that applies
   to the same link as well. See [[phab:T45013]]

   Hide the images in editnotices to keep them readable in VE view.
   Long term, editnotices should become a core feature so that they can be designed responsive. */
.ve-ui-mwNoticesPopupTool-item .editnotice-redlink,
.ve-ui-mwNoticesPopupTool-item .mbox-image,
.ve-ui-mwNoticesPopupTool-item .mbox-imageright {
	display: none !important;
}

/* Remove bullets when there are multiple edit page warnings */
ul.permissions-errors > li {
	list-style: none none;
}

ul.permissions-errors {
	margin: 0;
}

/* Force imgs in galleries to have borders by wrapping them in class=bordered-images */
.bordered-images img {
	border: solid #ddd 1px;
}

@media screen {
	/* Gallery styles background changes are restricted to screen view.
	   In printing we should avoid applying backgrounds. */
	/* The backgrounds for galleries. */
	#content .gallerybox div.thumb {
		/* Light gray padding */
		background-color: #f8f9fa;
	}
	/* Put a chequered background behind images, only visible if they have transparency.
	   '.filehistory a img' and '#file img:hover' are handled by MediaWiki core (as of 1.19) */
	.gallerybox .thumb img {
		background: #fff url(//upload.wikimedia.org/wikipedia/commons/5/5d/Checker-16x16.png) repeat;
	}
	/* But not on articles, user pages, portals or with opt-out. */
	.ns-0 .gallerybox .thumb img,
	.ns-2 .gallerybox .thumb img,
	.ns-100 .gallerybox .thumb img,
	.nochecker .gallerybox .thumb img {
		background-image: none;
	}

/* from original HTML document */

.chief {color:orange;}
.title {color:crimson;}
.kilravock {color:green;}
.helmsley {color:green;}
.kit {color:red;}
.small {font-variant: small-caps;}

/* maps extension */

.leafletmap {
   float: right;
   border: 1px solid #c8ccd1; /* Same as picture thumbnails*/
   padding: 3px;
   background-color: #f8f9fa;
   min-width: 300px; /* With this, you can set the inline width property of the map to 100% */
   margin-bottom: 20px;
   margin-left: 10px;
   clear: both; /* To avoid two elements next to each other - force them below another instead*/
   width: min-content; /* To force the caption to break lines if it is longer than the map*/
}

.leafletmap > p {
    font-size: 94%; /* Smaller caption, same as picture captions */
    padding: 3px 0 0 3px;
}

/* Make map mobile-friendly by forcing it to stretch 100% width */
@media only screen and (max-width: 750px) {
	.leafletmap {
		float: left; 
		width: 100%;
	}
	.leaflet-container {
		width: 100% !important; /* Override the (inline) width property set when writing e. g. {{#display_map: ... |width=400px}}, because this could be too large for mobile screens */
	}
}

.leafletmapsmall {
   float: right;
   border: 1px solid #c8ccd1; /* Same as picture thumbnails*/
   padding: 3px;
   background-color: #f8f9fa;
   min-width: 200px; /* With this, you can set the inline width property of the map to 100% */
   margin-bottom: 20px;
   margin-left: 10px;
   clear: both; /* To avoid two elements next to each other - force them below another instead*/
   width: min-content; /* To force the caption to break lines if it is longer than the map*/
}

.leafletmapsmall > div#map_leaflet_2 {
	height:200px!important;
}

.leafletmapsmall > p {
    font-size: 94%; /* Smaller caption, same as picture captions */
    padding: 3px 0 0 3px;
}

@media only screen and (max-width: 750px) {
	.leafletmapsmall {
		float: left; 
		width: 100%;
	}
	.leaflet-container {
		width: 100% !important; /* Override the (inline) width property set when writing e. g. {{#display_map: ... |width=400px}}, because this could be too large for mobile screens */
	}
}

/* fonts */

.oldscript {
	font-family: "The Nautigal", script;
	font-size: 180%;
}

.booktext {
	font-family: "IM Fell DW Pica", serif;
	font-size: 115%;
}

.unifraktur {
	font-family: UnifrakturMaguntia, serif;
	font-size: 115%;
}

.junicode {
 	font-family:Junicode, sans serif;
	font-feature-settings: "ccmp", "calt", "liga", "loca", "rlig", "kern", "mark", "mkmk";
	font-size: 115%;
}

.insular {
 	font-family:Junicode, sans serif;
    font-feature-settings: "ss02" 2;
}

.junicodelatin {
 	font-family:Junicode, sans serif;
	font-weight: normal; /* that is, 400 */    
	font-feature-settings: "cv81" 2, "calt", "ccmp", "liga", "loca", "rlig", "kern", "mark", "mkmk", "ss08", "dlig";
	font-size: 115%;
}

/* used in conjuction with one of the Junicode classes to create superscript characters */
.sup {
	font-feature-settings: "sups";
}

/* MRCA chart colum formatting */

.rossproject
{
	background-color:#ffeded;
text-align:left;
}

.haplogroup  {
color: green;
text-align:left;
}

.haplogroup > .plainlinks > a, .haplogroup > .plainlinks > a:visited {
color: green;
}

a.haplogroup {
color: green;
}

a.haplogroup:visited  {
color: green;
}

/* descendant chart formatting */

.userID  {
color: red;
}

/* surname formatting */

.ross {
color: red;
}

.rossbg {
background-color: red;
}

.rose  {
color: #cc0000;
text-align: left;
}

.rosebg {
background-color: #cc0000;
}

.matheson {
color: #5A92F7;
}

.mathesonbg {
background-color: #5A92F7;
}

.massey {
color: #33cc33;
}

.masseybg {
background-color: #33cc33;
}

.mackenzie {
color: #99ceff;
}

.mackenziebg {
background-color: #99ceff;
}

.boylan {
color: #9909ff;
}

/* Page Forms extension */
table.formtable th {
    text-align: left;
    vertical-align:middle;
}

.multipleTemplateInstancep {
	background-color:var(--tg-color-surface-0);
}